lights FAQ Forum github.com/luapower/ui

ui

UI toolkit with styles and animations


Overview

Package type:Lua+ffi
Version:8b3a036
Last commit:9 months ago
Releases: None yet.
Platforms: all LuaJIT platforms

Load Errors   Errors encountered when loading the module. Modules with load errors
on a platform don't have their dependencies recorded on that platform,
which also screws up the combined dependency list.
 

module load errors
ui   ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_button   ./ui_button.lua:5: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_calendar   ./ui_calendar.lua:5: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_colorpicker   ./ui_colorpicker.lua:5: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_dropdown   .\ui.lua:270: .\ui_editbox.lua:7: module 'tr' not found
  ./ui_dropdown.lua:8: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_editbox   .\ui_editbox.lua:7: module 'tr' not found
  ./ui_editbox.lua:6: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_grid   .\ui.lua:270: .\ui.lua:159: assertion failed!
  ./ui_grid.lua:7: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_layout_editor   ./ui_layout_editor.lua:7: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_list   ./ui_list.lua:5: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_menu   ./ui_menu.lua:5: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_popup   ./ui_popup.lua:5: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_progressbar   ./ui_progressbar.lua:5: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_scrollbox   .\ui.lua:159: assertion failed!
  ./ui_scrollbox.lua:5: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_slider   .\ui.lua:183: assertion failed!
  ./ui_slider.lua:5: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_tablist   ./ui_tablist.lua:5: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color
ui_zoomcalendar   ./ui_zoomcalendar.lua:5: ./ui.lua:21: ./layer.lua:6: ./layer_h.lua:873: /media/sf_luapower/bin/linux64/liblayer.so: undefined symbol: layer_get_span_color

Dependencies   This is a combined list of packages required by all modules of this
package on each supported platform, plus binary dependencies if any.
Darker names, if present, represent indirect dependencies.
Purlpe names, if present, represent packages that contain modules that must be already be loaded.

Note: These are only the dependencies required for the modules to load.
Runtime dependencies, if any, are shown separately below.

Tip: You may not need all the dependencies listed here if you are not planning
to use all the modules of the package -- look at per-module dependencies below.
 

Modules     P M

module   language
ui Lua (has errors)
ui_button Lua (has errors)
ui_calendar Lua (has errors)
ui_colorpicker Lua (has errors)
ui_demo1 Lua
ui_dropdown Lua (has errors)
ui_editbox Lua (has errors)
ui_grid Lua (has errors)
ui_layout_editor Lua (has errors)
ui_list Lua (has errors)
ui_menu Lua (has errors)
ui_popup Lua (has errors)
ui_progressbar Lua (has errors)
ui_scrollbox Lua (has errors)
ui_slider Lua (has errors)
ui_tablist Lua (has errors)
ui_zoomcalendar Lua (has errors)

Scripts   This is the list of scripts (tests, demos, etc.).
Unlike normal modules, scripts are not run to track dependencies.
Instead, they are just parsed for require() calls.
This means that indirect dependencies are never shown.
  P M

script  
ui_demo
ui_layout_editor_app

Docs

name source file
ui ui.md

Package:ui
Pkg type:Lua+ffi
Version: 8b3a036
Last commit:
Author: Cosmin Apreutesei
License: Public Domain

Requires: box2d  cairo  color  easing  events  font_db  glue  luajit  nw  oo  terra.layer  time  +bitmap  +winapi  +heap  +xlib 

Required by: none


Top